fws:
- fw_id: 1
  name: Run a command and store the result
  spec:
    _tasks:
    - _fw_name: CommandLineTask
      command_spec:
        command: [date]
        date option:
          binding: {prefix: --iso, separator: '='}
          source: {type: data, value: second}
        time stamp file:
          source: {type: stdout}
          target: {type: path, value: /tmp}
      inputs: [date option]
      outputs: [time stamp file]
- fw_id: 2
  name: Run a command with the result of the parent firework
  spec:
    _tasks:
    - _fw_name: CommandLineTask
      command_spec:
        command: [cat]
        time stamp file:
          source: time stamp file
          target: {type: stdin}
        time stamp string:
          source: {type: stdout}
          target: {type: data}
      inputs: [time stamp file]
      outputs: [time stamp string]
    - _fw_name: CommandLineTask
      command_spec:
        command: [touch]
        new file:
          source: {type: data, value: new_file}
        time stamp:
          binding: {prefix: --date, separator: '='}
          source: time stamp string
      inputs: [time stamp, new file]
      outputs: []
links:
  '1': [2]
  '2': []
metadata: {}
name: CommandLineTask demo
